<?xml version="1.0"?>
<!--
  Templates used to display the files for a project.

  @author Jean-Baptiste Reure
  @author Christophe Lauret
  @version 18 August 2011
-->
<xsl:stylesheet version="2.0" xmlns="http://www.w3.org/1999/xhtml"
                              xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:xs="http://www.w3.org/2001/XMLSchema"
                              xmlns:psf="http://www.pageseeder.com/function"
                              exclude-result-prefixes="xs psf">

  <xsl:variable name="context-path" select="/root/header/context-path"/>

  <!-- Main template -->
  <xsl:template match="content[@name = 'projects']">
    <h2>Publisher Projects</h2>
    <div class="info">Select a project below to view its files:</div>
    <div class="projects">
      <div class="ps-button-airy project">
        <h4><a href="{$context-path}/admin/projects/default.html">default</a></h4>
        <p><i>(Read Only)</i></p>
      </div>
      <xsl:for-each select="projects/project">
        <div class="ps-button-airy project">
          <h4><a href="{$context-path}/admin/projects/{@name}.html"><xsl:value-of select="@name" /></a></h4>
        </div>
      </xsl:for-each>
    </div>
  </xsl:template>

</xsl:stylesheet>
